<?php
/**
 * @file
 * Commerce Registry theme functions.
 */

/**
 * Theme a registry.
 */
function theme_commerce_registry_view($variables) {
  $registry = $variables['registry'];
  $theme = '';
  foreach ($registry->products as $product_id => $info) {
    $product = commerce_product_load($product_id);
    $values = $info + array(
      'product' => $product,
    );
    $theme .= theme('commerce_registry_product_view', $values);
  }
  if (empty($registry->products)) {
    $theme .= t('There are no products on this registry yet. Continue searching and feel free to add them later.');
  }
  return $theme;
}

/**
 * Theme a product on a registry.
 */
function theme_commerce_registry_product_view($variables) {
  $product = $variables['product'];
  $themed = "<div class='field field-commerce-registry-product commerce-registry-product commerce-product commerce-product-" . $product->product_id . "'>";
  $themed .= "<div class='commerce-product-title'><div class='field-label field-title-label label'>"
    . t('Title') . ": </div>";
  $themed .= l($product->title, $variables['settings']['page']);
  $themed .= "</div>";
  $themed .= "<div class='commerce-product-quantity'><div class='field-label field-quantity-label label'>"
    . t('Quantity') . ": </div>";
  $themed .= $variables['quantity'];
  $themed .= "</div>";
  $themed .= "<div class='commerce-product-message'><div class='field-label field-message-label label'>"
    . t('Message') . ": </div>";
  $themed .= $variables['message'];
  $themed .= "</div>";
  $themed .= render(field_attach_view('commerce_product', $product, 'commerce_registry_product'));
  $themed .= "</div>";
  return $themed;
}

/**
 * Theme the registry list for the user's registry list block.
 */
function theme_commerce_registry_user_registry_list($variables) {
  $user = $variables['account'];
  $theme = '';
  foreach ($variables['registries'] as $registry) {
    $theme .= "<div class='commerce-registry registry-" . $registry->registry_id
      . " user-" . $user->uid . "-registry user-" . $user->uid
      . "-registry-" . $registry->registry_id . "'>";
    $theme .= "<span class='registry-name'>" . l($registry->name, 'registry/' . $registry->url) . "</span>";
    $theme .= "<div class='registry-description'>" . $registry->description . "</div>";
    $theme .= '</div>';
  }
  return $theme;
}